Retail Express API 2.1

Gets specific Outlet by unique id

Gets specific Outlet by unique id

get
https://api.retailexpress.com.au/v2/outlets/{id}

Path Parameters

idinteger(int32)required

Outlet id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Outlet

Outlet

Outlet model

* Additional properties are NOT allowed.
idinteger | null(int32)

Outlet id

namestring | null

Outlet name

>= 0 characters<= 255 characters

external_referencestring | null

External outlet code

>= 0 characters<= 30 characters

enabledboolean

Enabled

company_namestring | null

Company

>= 0 characters<= 100 characters

company_registration_numberstring | null

Company registration number

>= 0 characters<= 50 characters

company_registration_labelstring | null

Company registration label

>= 0 characters<= 15 characters

billing_typeinteger | null(int32)

Billing type

fob_currencyobject

Outlet currency model

* Additional properties are NOT allowed.
Show Child Parameters
store_typeobject

Outlet store type model

* Additional properties are NOT allowed.
Show Child Parameters
addressobject

Outlet address model

* Additional properties are NOT allowed.
Show Child Parameters
phonestring | null

Phone

>= 0 characters<= 50 characters

faxstring | null

Fax

>= 0 characters<= 50 characters

emailstring | null

Email

>= 0 characters<= 50 characters

bank_detailsobject

Outlet bank details model

* Additional properties are NOT allowed.
Show Child Parameters
default_source_outletobject

Outlet store type model

* Additional properties are NOT allowed.
Show Child Parameters
default_fulfil_outletobject

Outlet store type model

* Additional properties are NOT allowed.
Show Child Parameters
minimum_replenishment_quantityinteger | null(int32)

Minimum replenishment quantity

>= 0<= 2147483647

logoobject

Outlet logo model

* Additional properties are NOT allowed.
Show Child Parameters
invoice_email_templateobject

Outlet email from template model

* Additional properties are NOT allowed.
Show Child Parameters
invoice_receipt_commentsstring | null

Invoice receipt comments

Match pattern:^(?!.*<[^>]+>).*

>= 0 characters<= 8000 characters

display_address_on_invoiceboolean

Display address on invoice

purchase_order_commentsstring | null

Purchase order comments

Match pattern:^(?!.*<[^>]+>).*

>= 0 characters<= 8000 characters

modified_onstring(date-time)

Modified on

get/outlets/{id}
 
application/json

productattributes

Gets all Product Attribute Values, existing in the system for provided Product Attribute

Gets all Product Attribute Values, existing in the system for provided Product Attribute

get
https://api.retailexpress.com.au/v2/productattributes/{id}/values

Query Parameters

modified_sincestring | null(date-time)

Modified since

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Path Parameters

idinteger(int32)required

Product Attribute id

Example:2

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Product Attributes data

AttributeValue.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Product attribute value model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/productattributes/{id}/values
 
application/json

Creates new Product Attribute Value entity in the system

Sample request:

POST /productattributes/2/values
{
   "name": "sample_name"
}
post
https://api.retailexpress.com.au/v2/productattributes/{id}/values

Path Parameters

idinteger(int32)required

Product Attribute id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Product Attribute Value model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

New Product Attribute Value was created

AttributeValue

Product attribute value model

* Additional properties are NOT allowed.
idinteger | null(int32)

Attribute Value Id

attribute_idinteger(int32)

Attribute Id

namestring | null

Attribute Value Name

list_orderinteger | null(int32)

Attribute Value List Order

modified_onstring(date-time)

Modified on

post/productattributes/{id}/values

Body

{}
 
application/json

Gets specific Product Attribute Value by unique id

Gets specific Product Attribute Value by unique id

get
https://api.retailexpress.com.au/v2/productattributes/{id}/values/{value_id}

Path Parameters

idinteger(int32)required

Product Attribute id

Example:2

value_idinteger(int32)required

Product Attribute Value id

Example:321

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Product Attribute

AttributeValue

Product attribute value model

* Additional properties are NOT allowed.
idinteger | null(int32)

Attribute Value Id

attribute_idinteger(int32)

Attribute Id

namestring | null

Attribute Value Name

list_orderinteger | null(int32)

Attribute Value List Order

modified_onstring(date-time)

Modified on

get/productattributes/{id}/values/{value_id}
 
application/json